Index: /CMT/HEAD/source/cmt_parser.cxx
===================================================================
--- /CMT/HEAD/source/cmt_parser.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_parser.cxx	(revision 459)
@@ -4879,8 +5221,11 @@
       else
         {
+	  CmtMessage::error ("Cannot reach the mgr branch");
+	  /*
           if (!Me.m_quiet)
             {
               cerr << "#CMT> Cannot reach the mgr branch" << endl;
             }
+	  */
 
           CmtError::set (CmtError::package_not_found,
@@ -5032,4 +5377,7 @@
     }
 
+  // save CMTFLAGS
+  cmt_string cmtflags (get_cmt_flags ());
+
   clear ();
 
@@ -5069,5 +5417,6 @@
   if (Me.m_configure_error != "")
     {
-      if (!Me.m_quiet) cerr << "#CMT> Error: " << Me.m_configure_error << endl;
+      CmtMessage::error (Me.m_configure_error);
+      //      if (!Me.m_quiet) cerr << "#CMT> Error: " << Me.m_configure_error << endl;
       return (CmtError::execution_error);
     }
@@ -5645,5 +5994,6 @@
 	  break;
 	case action_load :
-	  cerr << "#CMT> action not implemented" << endl;
+	  CmtMessage::error ("action not implemented");
+	  //	  cerr << "#CMT> action not implemented" << endl;
 	  break;
 	case action_lock :
@@ -5820,4 +6170,7 @@
 	}
     }
+
+  // restore CMTFLAGS
+  set_cmt_flags (cmtflags);
 
   if (CmtError::has_pending_error ())
@@ -6300,8 +6653,11 @@
           else
             {
+	      CmtMessage::error ("Cannot reach the mgr branch");
+	      /*
               if (!Me.m_quiet)
                 {
                   cerr << "#CMT> Cannot reach the mgr branch" << endl;
                 }
+	      */
               
               CmtError::set (CmtError::package_not_found,
Index: /CMT/HEAD/source/cmt_pattern.cxx
===================================================================
--- /CMT/HEAD/source/cmt_pattern.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_pattern.cxx	(revision 459)
@@ -16,4 +16,5 @@
 #include "cmt_error.h"
 #include "cmt_syntax.h"
+#include "cmt_log.h"
 
 
@@ -915,4 +916,11 @@
 	    {
 	      state = in_error;
+	      CmtMessage::warning ("bad syntax in apply_pattern " + name
+				   + " (missing '=' separator)"
+				   + ( (use != 0) ?
+				       " (from " + use->get_package_name () + ")":
+				       "" )
+				   );
+	      /*
 	      if (!Cmt::get_quiet ())
 		{
@@ -924,4 +932,5 @@
 		  cerr << endl;
 		}
+	      */
 	      break;
 	    }
@@ -990,4 +999,11 @@
 	  if (p->line.find (tsearch) == cmt_string::npos)
 	    {
+	      CmtMessage::warning ("template <" + tname
+				   + "> not expected in pattern " + name
+				   + ( (use != 0) ?
+				       " (from " + use->get_package_name () + ")":
+				       "" )
+				   );
+	      /*
 	      if (!Cmt::get_quiet ())
 		{
@@ -996,4 +1012,5 @@
 		  cerr << endl;
 		}
+	      */
 	    }
 
Index: /CMT/HEAD/source/cmt_project.cxx
===================================================================
--- /CMT/HEAD/source/cmt_project.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_project.cxx	(revision 459)
@@ -18,4 +18,5 @@
 #include "cmt_tag.h"
 #include "cmt_error.h"
+#include "cmt_log.h"
 
 class ProjectReader : public Awk
@@ -232,4 +233,8 @@
 	  if (r != p.get_release ())
 	    {
+	      CmtMessage::error ("Project " + p.get_name ()
+				   + " requested with conflicting releases "
+				   + p.get_release () + " and " + r);
+	      /*
 	      if (!Cmt::get_quiet ())
 		{
@@ -237,4 +242,5 @@
 		       << " requested with conflicting releases " << p.get_release () << " and " << r << endl;
 		}
+	      */
 	      CmtError::set (CmtError::project_release_conflict, p.get_name ());
 	    }
@@ -420,4 +426,8 @@
 	      // The specified name is not in the path.
 	      
+	      CmtMessage::warning ("none of specified project names "
+				   + specified_name + " from graph and "
+				   + project_name + " from project file match path.");
+	      /*
 	      if (!Cmt::get_quiet ())
 		{
@@ -428,4 +438,5 @@
 		       << " from project file match path." << endl;
 		}
+	      */
 
 	      name = specified_name;
@@ -650,4 +661,6 @@
   cmt_string pwd = CmtSystem::pwd ();
 
+  if (CmtMessage::active (Error))
+    {
   cerr << "------------------------------------------" << endl;
   cerr << "Configuring environment for project " << name << " " << release << " (from " << pwd << ") ";
@@ -661,4 +674,5 @@
   cerr << "CMT version " << Cmt::get_cmt_version () << "." << endl;
   cerr << "------------------------------------------" << endl;
+    }
 
   if (path != "")
@@ -666,5 +680,6 @@
       if (!CmtSystem::mkdir (path))
 	{
-          cerr << "Cannot create the " << path << " directory" << endl;
+          CmtMessage::error ("Cannot create the " + path + " directory");
+	  //          cerr << "Cannot create the " << path << " directory" << endl;
           return (false);
 	}
@@ -672,5 +687,6 @@
       if (!CmtSystem::cd (path))
 	{
-          cerr << "Cannot access the " << path << " directory" << endl;
+          CmtMessage::error ("Cannot access the " + path + " directory");
+	  //          cerr << "Cannot access the " << path << " directory" << endl;
           return (false);
 	}
@@ -679,5 +695,6 @@
   if (!CmtSystem::mkdir (name))
     {
-      cerr << "Cannot create the " << name << " directory" << endl;
+      CmtMessage::error ("Cannot create the " + name + " directory");
+      //      cerr << "Cannot create the " << name << " directory" << endl;
       return (false);
     }
@@ -685,5 +702,6 @@
   if (!CmtSystem::cd (name))
     {
-      cerr << "Cannot access the " << name << " directory" << endl;
+      CmtMessage::error ("Cannot access the " + name + " directory");
+      //      cerr << "Cannot access the " << name << " directory" << endl;
       return (false);
     }
@@ -693,5 +711,6 @@
       if (!CmtSystem::mkdir (release))
 	{
-	  cerr << "Cannot create the " << release << " directory" << endl;
+	  CmtMessage::error ("Cannot create the " + release + " directory");
+	  //	  cerr << "Cannot create the " << release << " directory" << endl;
 	  return (false);
 	}
@@ -699,5 +718,6 @@
       if (!CmtSystem::cd (release))
 	{
-	  cerr << "Cannot access the " << release << " directory" << endl;
+	  CmtMessage::error ("Cannot access the " + release + " directory");
+	  //	  cerr << "Cannot access the " << release << " directory" << endl;
 	  return (false);
 	}
@@ -708,10 +728,12 @@
       if (!CmtSystem::mkdir ("cmt"))
         {
-          cerr << "Cannot create the cmt directory" << endl;
+          CmtMessage::error ("Cannot create the cmt directory");
+	  //          cerr << "Cannot create the cmt directory" << endl;
           return (false);
         }
       else
         {
-          cerr << "Installing the cmt directory" << endl;
+	  if (CmtMessage::active (Info))
+	    cerr << "Installing the cmt directory" << endl;
         }
     }
@@ -721,5 +743,6 @@
   if (!CmtSystem::test_file (get_project_file_name ()))
     {
-      cerr << "Creating a new project file" << endl;
+      if (CmtMessage::active (Info))
+	cerr << "Creating a new project file" << endl;
 
       ofstream f (get_project_file_name ());
@@ -732,5 +755,6 @@
       else
 	{
-          cerr << "Cannot create the project file" << endl;
+          CmtMessage::error ("Cannot create the project file");
+	  //          cerr << "Cannot create the project file" << endl;
           return (false);
 	}
@@ -746,5 +770,6 @@
       p.commit ();
 
-      cerr << "project file already there" << endl;
+      if (CmtMessage::active (Info))
+	cerr << "project file already there" << endl;
     }
 
@@ -831,12 +856,15 @@
     if (project != 0) 
       {
-	if (!Cmt::get_quiet ())
-	  {
+	//	if (!Cmt::get_quiet ())
+	//	  {
 	    if (release != project->get_release ())
 	      {
-		cerr << "#CMT> Project " << name << " requested with conflicting releases " << project->get_release () << " and " << release << endl;
+		CmtMessage::error ("Project " + name
+				   + " requested with conflicting releases "
+				   + project->get_release () + " and " + release);
+		//		cerr << "#CMT> Project " << name << " requested with conflicting releases " << project->get_release () << " and " << release << endl;
 		CmtError::set (CmtError::project_release_conflict, name);
 	      }
-	  }
+	    //	  }
 
 	// Project objects are recreated here to follow the hierarchy
@@ -1592,5 +1620,6 @@
   if (!found && (cmtprojectpath != ""))
     {
-      cerr << "#CMT> Project " << name << " " << release << " requested by " << m_name << " not found in CMTPROJECTPATH" << endl;
+      CmtMessage::warning ("Project " + name + " " + release + " requested by " + m_name + " not found in CMTPROJECTPATH");
+      //      cerr << "#CMT> Project " << name << " " << release << " requested by " << m_name << " not found in CMTPROJECTPATH" << endl;
     }
 }
@@ -1873,5 +1902,6 @@
   if (def == 0)
     {
-      cerr << "#CMT> strategy " << name << " undefined" << endl;
+      CmtMessage::warning ("strategy " + name + " undefined");
+      //      cerr << "#CMT> strategy " << name << " undefined" << endl;
       return (false);
     }
@@ -1930,5 +1960,6 @@
   if (def == 0)
     {
-      cerr << "#CMT> strategy " << name << " undefined" << endl;
+      CmtMessage::warning ("strategy " + name + " undefined");
+      //      cerr << "#CMT> strategy " << name << " undefined" << endl;
       return;
     }
@@ -1946,5 +1977,6 @@
   if (def == 0)
     {
-      cerr << "#CMT> strategy " << name << " undefined" << endl;
+      CmtMessage::warning ("strategy " + name + " undefined");
+      //      cerr << "#CMT> strategy " << name << " undefined" << endl;
       return;
     }
@@ -1962,5 +1994,6 @@
   else
     {
-      cerr << "#CMT> requested strategy value " << value << " undefined in strategy " << name << endl;
+      CmtMessage::warning ("requested strategy value " + value + " undefined in strategy " + name);
+      //      cerr << "#CMT> requested strategy value " << value << " undefined in strategy " << name << endl;
       return;
     }
Index: /CMT/HEAD/source/cmt_symbol.cxx
===================================================================
--- /CMT/HEAD/source/cmt_symbol.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_symbol.cxx	(revision 459)
@@ -14,4 +14,5 @@
 #include "cmt_system.h"
 #include "cmt_database.h"
+#include "cmt_log.h"
 
 // Global inhibitor of any display
@@ -773,8 +774,17 @@
                   } 
 
+                CmtMessage::warning ("Symbol " + name 
+				     + " inconsistently redeclared from " + s1
+				     + " to " + s2
+				     + ( (use != 0) ?
+					 " in package " + use->get_package_name () :
+					 "" )
+				     );
+		/*
                 cerr << "#CMT> Warning: Symbol " << name 
                      << " inconsistently redeclared from " << s1 << " to " << s2;
                 if (use != 0) cerr << " in package " << use->get_package_name ();
                 cerr << endl;
+		*/
               }
           }
@@ -876,9 +886,11 @@
       if (!CmtSystem::test_directory (t))
 	  {
+	    CmtMessage::warning ("Wrong path item " + t + " in " + name);
+	    /*
 	      if (Cmt::get_warnings ())
 	      {
 	          cerr << "#CMT> Warning: Wrong path item " << t << " in " << name << endl;
 	      }
-
+	    */
 	  }
 	    
Index: /CMT/HEAD/source/cmt_syntax.cxx
===================================================================
--- /CMT/HEAD/source/cmt_syntax.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_syntax.cxx	(revision 459)
@@ -18,4 +18,5 @@
 #include "cmt_project.h"
 #include "cmt_cmtpath_pattern.h"
+#include "cmt_log.h"
 
 
@@ -1294,6 +1295,8 @@
 	       int line_number)
   {
-    cerr << "# Package " << use->get_package_name () <<
-      " sets obsolescent version strategy" << endl;
+    CmtMessage::warning ("Package " + use->get_package_name ()
+			 + " sets obsolescent version strategy");
+    //    cerr << "# Package " << use->get_package_name () <<
+    //      " sets obsolescent version strategy" << endl;
   }
   void action (const CmtSystem::cmt_string_vector& words,
@@ -1331,4 +1334,9 @@
       Unknown keyword : just ignore the line
     */
+    char num[32]; sprintf (num, "%d", line_number);
+    CmtMessage::error ("bad syntax in requirements of " + use->get_package_name ()
+		       + " " + use->version + " line #" + num
+		       + " [" + words[0] + "...]");
+    /*
     if (!Cmt::get_quiet ())
       {
@@ -1337,4 +1345,5 @@
 	cerr << " [" << words[0] << "...]" << endl;
       }
+    */
     
     CmtError::set (CmtError::syntax_error, "ParseRequirements> ");
@@ -1890,4 +1899,11 @@
   if (CmtError::has_pending_error ())
     {
+      char num[32]; sprintf (num, "%d", line_number);
+      CmtMessage::error ("bad syntax in requirements of " + use->get_package_name ()
+			 + " " + use->version
+			 + " " + use->specified_path
+			 + " line #" + num
+			 + " [" + command + " ...]");
+      /*
       if (!Cmt::get_quiet ())
         {
@@ -1898,4 +1914,5 @@
           cerr << " [" << command << " ...]" << endl;
         }
+      */
 
       return;
@@ -1934,4 +1951,9 @@
   if (CmtError::has_pending_error ())
     {
+      char num[32]; sprintf (num, "%d", line_number);
+      CmtMessage::error ("bad syntax in project file of " + project->get_name ()
+			 + " line #" + num
+			 + " [" + command + " ...]");
+      /*
       if (!Cmt::get_quiet ())
         {
@@ -1940,4 +1962,5 @@
           cerr << " [" << command << " ...]" << endl;
         }
+      */
 
       return;
Index: /CMT/HEAD/source/cmt_system.cxx
===================================================================
--- /CMT/HEAD/source/cmt_system.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_system.cxx	(revision 459)
@@ -58,4 +58,5 @@
 #include "cmt_error.h"
 #include "cmt_map.h"
+#include "cmt_log.h"
 
 //--------------------------------------------------
@@ -659,5 +660,6 @@
   if (::unlink (name) != 0)
     {
-      cerr << "#CMT> Cannot remove file " << name << endl;
+      CmtMessage::error ("Cannot remove file " + name);
+      //      cerr << "#CMT> Cannot remove file " << name << endl;
       return (false);
     }
@@ -694,5 +696,7 @@
   if (status != 0)
     {
-      cerr << "#CMT> Cannot remove directory " << name << " errno=" << errno << endl;
+      char num[32]; sprintf (num, "%d", errno);
+      CmtMessage::error ("Cannot remove directory " + name + " errno=" + num);
+      //      cerr << "#CMT> Cannot remove directory " << name << " errno=" << errno << endl;
       return (false);
     }
Index: /CMT/HEAD/source/cmt_tag.cxx
===================================================================
--- /CMT/HEAD/source/cmt_tag.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_tag.cxx	(revision 459)
@@ -202,8 +202,11 @@
   if (name == "")
     {
+      CmtMessage::warning ("apply_tag with empty name [" + words[1] + "]");
+      /*
       if (!Cmt::get_quiet ())
 	{
 	  cerr << "#CMT> Warning: apply_tag with empty name [" << words[1] << "]" << endl;
 	}
+      */
     }
   else
@@ -485,5 +488,6 @@
           else
             {
-              cerr << "#Tag::add> unknown tag " << op_name << " in tag expression" << endl;
+              CmtMessage::warning ("Tag::add> unknown tag " + op_name + " in tag expression");
+	      //              cerr << "#Tag::add> unknown tag " << op_name << " in tag expression" << endl;
             }
         }
Index: /CMT/HEAD/source/cmt_triggers.cxx
===================================================================
--- /CMT/HEAD/source/cmt_triggers.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_triggers.cxx	(revision 459)
@@ -25,4 +25,5 @@
 #include "cmt_constituent.h"
 #include "cmt_syntax.h"
+#include "cmt_log.h"
 
 //--------------------------------------------------
@@ -248,16 +249,22 @@
   if (pos == 0)
     {
+      CmtMessage::error ("Syntax in trigger file : empty name");
+      /*
       if (!Cmt::get_quiet ())
         {
           cerr << "Syntax error in trigger file : empty name" << endl;
         }
+      */
       exit (0);
     }
   if (pos == cmt_string::npos)
     {
+      CmtMessage::error ("Syntax in trigger file : no = sign");
+      /*
       if (!Cmt::get_quiet ())
         {
           cerr << "Syntax error in trigger file : no = sign" << endl;
         }
+      */
       exit (0);
     }
@@ -297,4 +304,6 @@
   else
     {
+      CmtMessage::error ("Syntax in trigger file : bad keyword (" + name + ")");
+      /*
       if (!Cmt::get_quiet ())
         {
@@ -302,4 +311,5 @@
 	    name << ")" << endl;
         }
+      */
       exit (0);
     }
@@ -418,4 +428,7 @@
   if ((pos == 0) || (pos == cmt_string::npos))
     {
+      CmtMessage::error ("Syntax in dependency file: " + line
+			 + ": Missing = or target name.");
+      /*
       if (!Cmt::get_quiet ())
         {
@@ -423,4 +436,5 @@
           cerr << "  Missing = or target name." << endl;
         }
+      */
       exit (1);
     }
@@ -447,6 +461,8 @@
   if (dependencies == "") 
     {
-      cerr << "#CMT> Warning: It seems there is nothing after \'=\' "
-	"in dependency file " << m_file_name << endl;
+      CmtMessage::warning ("It seems there is nothing after \'=\' "
+			   "in dependency file " + m_file_name);
+      //      cerr << "#CMT> Warning: It seems there is nothing after \'=\' "
+      //	"in dependency file " << m_file_name << endl;
       return;
     }
@@ -831,5 +847,6 @@
   if (analyzer->run (file_name) == Awk::failed)
     {
-      cerr << "  File " << file_name << " not found" << endl;
+      CmtMessage::warning (" File " + file_name + " not found");
+      //      cerr << "  File " << file_name << " not found" << endl;
     }
 
Index: /CMT/HEAD/source/cmt_use.cxx
===================================================================
--- /CMT/HEAD/source/cmt_use.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_use.cxx	(revision 459)
@@ -16,4 +16,5 @@
 #include "cmt_database.h"
 #include "cmt_syntax.h"
+#include "cmt_log.h"
 
 static void show_packages ();
@@ -497,4 +498,8 @@
           if (!use->located ())
             {
+	      CmtMessage::warning ("package " + use->get_package_name ()
+				   + " " + use->version + " " + use->path
+				   + " not found");
+	      /*
               if (!Cmt::get_quiet ())
                 {
@@ -504,4 +509,5 @@
 		    endl;
                 }
+	      */
               CmtError::set (CmtError::package_not_found, use->get_package_name ());
             }
@@ -2473,4 +2479,12 @@
   if (!found)
     {
+      CmtMessage::warning ("package " + use->get_package_name ()
+			   + " " + use->version + " " + use->path
+			   + " not found"
+			   + ( (context_use != 0) ?
+			       " (requested by " + context_use->get_package_name () + ")" :
+			       "" )
+			   );
+      /*
       if (!Cmt::get_quiet ())
         {
@@ -2486,4 +2500,5 @@
 	  cerr << endl;
         }
+      */
 
       //CmtError::set (CmtError::package_not_found, use->get_package_name ());
@@ -3153,5 +3168,7 @@
       Symbol::expand (text);
 
-      if (!Cmt::get_quiet ()) cerr << "   Creating the reference file " << ref_file << endl;
+      if (CmtMessage::active (Info))
+	cerr << "   Creating the reference file " << ref_file << endl;
+	  //      if (!Cmt::get_quiet ()) cerr << "   Creating the reference file " << ref_file << endl;
       text.write (ref_file);
     }
@@ -3178,5 +3195,6 @@
 
   //if (!Cmt::get_quiet ()) 
-  cerr << "   Symlinking " << libname << " to " << s << endl;
+  if (CmtMessage::active (Info))
+    cerr << "   Symlinking " << libname << " to " << s << endl;
 
   if (symlinkcmd == "")
@@ -3184,5 +3202,6 @@
       if (!CmtSystem::create_symlink (libname, s))
 	{
-	  cerr << "#CMT> Cannot create a symbolic link to " << libname << endl;
+	  CmtMessage::error ("Cannot create a symbolic link to " + libname);
+	  //	  cerr << "#CMT> Cannot create a symbolic link to " << libname << endl;
 	  return (false);
 	}
@@ -3200,5 +3219,6 @@
       if (status != 0)
 	{
-	  cerr << "#CMT> Cannot create a symbolic link to " << libname << endl;
+	  CmtMessage::error ("Cannot create a symbolic link to " + libname);
+	  //	  cerr << "#CMT> Cannot create a symbolic link to " << libname << endl;
 	  return (false);
 	}
@@ -3219,4 +3239,8 @@
   if (!located ())
     {
+      CmtMessage::warning ("package " + get_package_name ()
+			   + " " + version + " " + path
+			   + " not found");
+      /*
       if (!Cmt::get_quiet ())
 	{
@@ -3226,4 +3250,5 @@
 	    endl;
 	}
+      */
       return;
     }
@@ -3494,5 +3519,6 @@
   if (use == 0)
     {
-      cerr << "#CMT> No access to " << to_name << endl;
+      CmtMessage::warning ("No access to " + to_name);
+      //      cerr << "#CMT> No access to " << to_name << endl;
       return (false);
     }
Index: /CMT/HEAD/src/Makefile.header
===================================================================
--- /CMT/HEAD/src/Makefile.header	(revision 458)
+++ /CMT/HEAD/src/Makefile.header	(revision 459)
@@ -51,7 +51,8 @@
 
 binclean ::
-	@if test ! "$(bin)" = "./"; then \
+	if test ! "$(bin)" = "./"; then \
 	  if test -d $(bin) ; then \
-	    echo "------> (Makefile.header) Cleaning all from $(bin)"; \
+	    test -z "$(cmtmsg)" || \
+	    echo "$(CMTMSGPREFIX)" "(Makefile.header) Cleaning all from $(bin)"; \
 	    /bin/rm -rf $(bin) ; \
 	  fi ; \
@@ -83,5 +84,5 @@
 	  /bin/rm -f $${temp_lock}; \
 	  echo "------> (Makefile.header) Rebuilding constituents.make"; \
-	  $(cmtexe) -quiet -tag=$(tags) build constituents_makefile -out=$${temp_constituents}; status=$$?; \
+	  $(cmtexe) -tag=$(tags) build constituents_makefile -out=$${temp_constituents}; status=$$?; \
 	  if test $${status} = 0; then \
 	    /bin/rm -f $(cmt_local_tagfile); \
@@ -100,5 +101,5 @@
 	$(echo) "(Makefile.header) Rebuilding $@"; \
 	  if test ! -d $(@D) ; then $(mkdir) -p $(@D); fi; \
-	  $(cmtexe) -quiet -tag=$(tags) build constituents_makefile -out=$@; \
+	  $(cmtexe) -tag=$(tags) build constituents_makefile -out=$@; \
 	  retval=$$?; \
 	  if test $${retval} != 0; then \
@@ -115,5 +116,5 @@
 	  if test -f $@; then rm -f $@; fi; \
 	  if test ! -d $(@D); then $(mkdir) -p $(@D); fi; \
-	  $(cmtexe) -quiet -tag=$(tags) build tag_makefile >$@
+	  $(cmtexe) -tag=$(tags) build tag_makefile >$@
 
 # 	  && /bin/echo $@ ok   
@@ -125,5 +126,5 @@
 #
 $(gmake_hosts) ::
-	rsh $@ "sh -c '(cd `$(cmtexe) show pwd -quiet`; . setup.sh; gmake $(MAKEFLAGS) $(target))'"
+	rsh $@ "sh -c '(cd `$(cmtexe) show pwd`; . setup.sh; gmake $(MAKEFLAGS) $(target))'"
 
 $(make_hosts) ::
@@ -146,10 +147,10 @@
 	@echo 'binclean    : fast erase of the binary directory'
 	@echo ' '
-	@groups=`$(cmtexe) show groups -quiet -tag=$(tags)`; \
+	@groups=`$(cmtexe) show groups -tag=$(tags)`; \
 	  for g in $${groups}; do \
 	    echo "$${g} : rebuild all constituents of group $${g}"; \
 	  done
 	@echo "Constituents:"; \
-	  for c in `$(cmtexe) show constituent_names -quiet -tag=$(tags)` ; do \
+	  for c in `$(cmtexe) show constituent_names -tag=$(tags)` ; do \
 	    echo "  $${c}  $${c}clean"; \
 	  done
Index: /CMT/HEAD/src/NMakefile.header
===================================================================
--- /CMT/HEAD/src/NMakefile.header	(revision 458)
+++ /CMT/HEAD/src/NMakefile.header	(revision 459)
@@ -55,5 +55,5 @@
 
 
-!if [$(cmtexe) -quiet build constituents_makefile -tag=$(tags)] == 0
+!if [$(cmtexe) build constituents_makefile -tag=$(tags)] == 0
 !endif
 
Index: /CMT/HEAD/src/constituents.make
===================================================================
--- /CMT/HEAD/src/constituents.make	(revision 458)
+++ /CMT/HEAD/src/constituents.make	(revision 459)
@@ -9,5 +9,5 @@
 #	@if test ! -f constituents.make -o "$(build_strategy)" = "rebuild_makefiles"; then \
 #	  echo "Rebuilding $@"; \
-#	  $(cmtexe) build constituents_makefile -quiet -tag=$(tags); \
+#	  $(cmtexe) build constituents_makefile -tag=$(tags); \
 #	fi
 #
Index: /CMT/HEAD/src/constituents.nmake
===================================================================
--- /CMT/HEAD/src/constituents.nmake	(revision 458)
+++ /CMT/HEAD/src/constituents.nmake	(revision 459)
@@ -6,7 +6,7 @@
 
 #
-#!if [echo $(cmtexe) -quiet build constituents_makefile -tag=$(tags)] == 0
+#!if [echo $(cmtexe) build constituents_makefile -tag=$(tags)] == 0
 #!endif
-#!if [$(cmtexe) -quiet build constituents_makefile -tag=$(tags)] == 0
+#!if [$(cmtexe) build constituents_makefile -tag=$(tags)] == 0
 #!endif
 #
